# TiXmlComment Class Reference

Inheritance diagram for TiXmlComment:

[legend]
Collaboration diagram for TiXmlComment:

[legend]
List of all members.

## Public Member Functions

| TiXmlComment ()
| Constructs an empty comment.
| TiXmlComment (const TiXmlComment &)
void | operator= (const TiXmlComment &base)
virtual TiXmlNode * | Clone () const
| Returns a copy of this Comment.
virtual void | Print (FILE *cfile, int depth) const
| Write this Comment to a FILE stream.
virtual const char * | Parse (const char *p, TiXmlParsingData *data, TiXmlEncoding encoding)

## Protected Member Functions

void | CopyTo (TiXmlComment *target) const
virtual void | StreamOut (TIXML_OSTREAM *out) const

## Detailed Description

An XML comment.